> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/classes/constraint.md).

# Constraint

Constraint : `Instance`

## Overview

The base class for constraint-based instances

## Properties

### Attachment0

`Attachment`

Sets the first attachment point (Attachment0) for the constraint.

#### Code Samples

```lua
local LinearVelocity = script.Parent

LinearVelocity.Attachment0 = Attachment
```

### Attachment1

`Attachment`

Sets the second attachment point (Attachment1) for the constraint.

#### Code Samples

```lua
local LinearVelocity = script.Parent

LinearVelocity.Attachment1 = Attachment
```

### Enabled

`boolean`

Sets whether the constraint is active.

#### Code Samples

```lua
local LinearVelocity = script.Parent

LinearVelocity.Enabled = false
```

## Methods

## Events


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/constraint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
